using DiunaBI.Application.DTOModels;

namespace DiunaBI.UI.Shared.Services;

public class DataInboxFilterStateService
{
    public DataInboxFilterRequest FilterRequest { get; set; } = new();

    public void UpdateFilter(DataInboxFilterRequest request)
    {
        FilterRequest = request;
    }

    public void ClearFilter()
    {
        FilterRequest = new DataInboxFilterRequest();
    }
}
